# Interface AsyncCallback.VoidCallback

All Superinterfaces:
  `AsyncCallback`

Enclosing interface:
  `AsyncCallback`

@Public public static interface AsyncCallback.VoidCallback extends AsyncCallback
This callback doesn't retrieve anything from the node. It is useful for some APIs that doesn't want anything sent back, e.g. `ZooKeeper.sync(String, AsyncCallback.VoidCallback, Object)`.

## Nested Class Summary

### Nested classes/interfaces inherited from interface AsyncCallback

`AsyncCallback.ACLCallback, AsyncCallback.AllChildrenNumberCallback, AsyncCallback.Children2Callback, AsyncCallback.ChildrenCallback, AsyncCallback.Create2Callback, AsyncCallback.DataCallback, AsyncCallback.EphemeralsCallback, AsyncCallback.MultiCallback, AsyncCallback.StatCallback, AsyncCallback.StringCallback, AsyncCallback.VoidCallback`

## Method Summary

Modifier and Type
Method
Description
`void`
`processResult(int rc, String path, Object ctx)`
Process the result of the asynchronous call.

## Method Details

### processResult

void processResult(int rc, String path, Object ctx)
Process the result of the asynchronous call.

On success, rc is `KeeperException.Code.OK`.

On failure, rc is set to the corresponding failure code in `KeeperException`.

- `KeeperException.Code.NONODE` - The node on given path doesn't exist for some API calls.
- `KeeperException.Code.BADVERSION` - The given version doesn't match the node's version for some API calls.
- `KeeperException.Code.NOTEMPTY` - the node has children and some API calls cannot succeed, e.g. `ZooKeeper.delete(String, int, AsyncCallback.VoidCallback, Object)`.

Parameters:
  `rc` - The return code or the result of the call.
  `path` - The path that we passed to asynchronous calls.
  `ctx` - Whatever context object that we passed to asynchronous calls.
See Also:
  - `ZooKeeper.delete(String, int, AsyncCallback.VoidCallback, Object)`
  - `ZooKeeper.removeAllWatches(String, Watcher.WatcherType, boolean, AsyncCallback.VoidCallback, Object)`
  - `ZooKeeper.removeWatches(String, Watcher, Watcher.WatcherType, boolean, AsyncCallback.VoidCallback, Object)`
  - `ZooKeeper.sync(String, AsyncCallback.VoidCallback, Object)`